> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable a token

> This endpoint allows you to disable a token.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml post /v2/tokens/{id}/disable
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/tokens/{id}/disable:
    post:
      tags:
        - Tokens
      summary: Disable a token
      description: This endpoint allows you to disable a token.
      operationId: disableToken
      parameters:
        - name: id
          required: true
          in: path
          description: Used to identify the token throughout the Spirii system
          schema:
            type: number
      responses:
        '204':
          description: The token was successfully disabled.
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header JWT token is invalid or not provided.
        '404':
          description: The token with the provided ID was not found.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````